Imports Navigation

Namespace Survey
    Public Class SurveyController
        Public Function GetQuestion1(ByVal answer As String) As Question
            Return New Question With {.Answer = If(answer, "Web Forms")}
        End Function

        Public Sub UpdateQuestion1(ByVal question As Question)
            StateContext.Data("answer") = question.Answer
            Dim data As New NavigationData
            data("technology") = question.Answer
            If question.Answer <> "MVC" Then
                StateController.Navigate("Next", data)
            Else
                StateController.Navigate("Next_MVC", data)
            End If
        End Sub

        Public Function GetQuestion2(ByVal answer As String) As Question
            Return New Question With {.Answer = If(answer, "Yes")}
        End Function

        Public Sub UpdateQuestion2(ByVal question As Question)
            StateContext.Data("answer") = question.Answer
            Dim data As New NavigationData(True)
            data("navigation") = If(question.Answer = "Yes", True, False)
            StateController.Navigate("Next", data)
        End Sub

        Public Function GetSummary(ByVal technology As String, ByVal navigation? As Boolean) As Summary
            Dim summary As New Summary
            summary.Text = technology
            If navigation.HasValue Then
                summary.Text &= ", " & navigation.Value
            End If
            Return summary
        End Function
    End Class
End Namespace
